VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Library::Item::UpdateSessionModel Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::UpdateSessionModel:

## Classes
class | State

## Avaliable Methods
public method | set_client_progress ()
public method | get_library_item_id ()
public method | get_id ()
public method | set_id ()
public method | set_error_message ()
public method | set_expiration_time ()
public method | set_state ()
public method | get_client_progress ()
public method | set_library_item_content_version ()
public method | get_error_message ()
public method | set_library_item_id ()
public method | new ()
public method | get_library_item_content_version ()
public method | get_state ()
public method | get_expiration_time ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::UpdateSessionModel` class provides information on an active class Com::Vmware::Content::Library::Item::UpdateSession resource.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_client_progress | ( |  | ) |

Gets the value of 'client_progress' property.

Return values

  client_progress | - The current value of the field. The progress that has been made with the upload. This property is to be updated by the client during the upload process to indicate the progress of its work in completing the upload. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the update is complete. optional#

Code:
click to view
# Number of lines of code in get_client_progress: 4
sub get_client_progress {
my ($self, %args) = @_;
return $self->{'client_progress'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_error_message | ( |  | ) |

Gets the value of 'error_message' property.

Return values

  error_message | - The current value of the field. If the session is in the :attr:`Com::Vmware::Content::Library::Item::UpdateSessionModel::State.ERROR` status this property will have more details about the error. optional#

Code:
click to view
# Number of lines of code in get_error_message: 4
sub get_error_message {
my ($self, %args) = @_;
return $self->{'error_message'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_expiration_time | ( |  | ) |

Gets the value of 'expiration_time' property.

Return values

  expiration_time | - The current value of the field. Indicates the time after which the session will expire. The session is guaranteed not to expire earlier than this time. optional#

Code:
click to view
# Number of lines of code in get_expiration_time: 4
sub get_expiration_time {
my ($self, %args) = @_;
return $self->{'expiration_time'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The identifier of this update session. optional#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_library_item_content_version | ( |  | ) |

Gets the value of 'library_item_content_version' property.

Return values

  library_item_content_version | - The current value of the field. The content version of the library item whose content is being modified. This value is the :attr:`Com::Vmware::Content::Library::ItemModel.content_version` at the time when the session is created for the library item. optional#

Code:
click to view
# Number of lines of code in get_library_item_content_version: 4
sub get_library_item_content_version {
my ($self, %args) = @_;
return $self->{'library_item_content_version'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_library_item_id | ( |  | ) |

Gets the value of 'library_item_id' property.

Return values

  library_item_id | - The current value of the field. The identifier of the library item to which content will be uploaded or removed. optional#

Code:
click to view
# Number of lines of code in get_library_item_id: 4
sub get_library_item_id {
my ($self, %args) = @_;
return $self->{'library_item_id'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::get_state | ( |  | ) |

Gets the value of 'state' property.

Return values

  state | - The current value of the field. The current state (ACTIVE, DONE, ERROR, CANCELED) of the update session. optional#

Code:
click to view
# Number of lines of code in get_state: 4
sub get_state {
my ($self, %args) = @_;
return $self->{'state'};
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::UpdateSessionModel structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{library_item_id} = $args{'library_item_id'};
$self->{library_item_content_version} = $args{'library_item_content_version'};
$self->{error_message} = $args{'error_message'};
$self->{client_progress} = $args{'client_progress'};
$self->{state} = $args{'state'};
$self->{expiration_time} = $args{'expiration_time'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::UpdateSessionModel');
$self->set_binding_name('name' => 'com.vmware.content.library.item.update_session_model');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'library_item_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'library_item_content_version', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'error_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
$self->set_binding_field('key' => 'client_progress', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'state', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'UpdateSessionModel::State')));
$self->set_binding_field('key' => 'expiration_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_client_progress | ( |  | ) |

Sets the given value for 'client_progress' property.

Parameters

  client_progress | - New value for the field. The progress that has been made with the upload. This property is to be updated by the client during the upload process to indicate the progress of its work in completing the upload. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the update is complete.

Code:
click to view
# Number of lines of code in set_client_progress: 5
sub set_client_progress {
my ($self, %args) = @_;
$self->{'client_progress'} = $args{'client_progress'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_error_message | ( |  | ) |

Sets the given value for 'error_message' property.

Parameters

  error_message | - New value for the field. If the session is in the :attr:`Com::Vmware::Content::Library::Item::UpdateSessionModel::State.ERROR` status this property will have more details about the error.

Code:
click to view
# Number of lines of code in set_error_message: 5
sub set_error_message {
my ($self, %args) = @_;
$self->{'error_message'} = $args{'error_message'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_expiration_time | ( |  | ) |

Sets the given value for 'expiration_time' property.

Parameters

  expiration_time | - New value for the field. Indicates the time after which the session will expire. The session is guaranteed not to expire earlier than this time.

Code:
click to view
# Number of lines of code in set_expiration_time: 5
sub set_expiration_time {
my ($self, %args) = @_;
$self->{'expiration_time'} = $args{'expiration_time'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The identifier of this update session.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_library_item_content_version | ( |  | ) |

Sets the given value for 'library_item_content_version' property.

Parameters

  library_item_content_version | - New value for the field. The content version of the library item whose content is being modified. This value is the :attr:`Com::Vmware::Content::Library::ItemModel.content_version` at the time when the session is created for the library item.

Code:
click to view
# Number of lines of code in set_library_item_content_version: 5
sub set_library_item_content_version {
my ($self, %args) = @_;
$self->{'library_item_content_version'} = $args{'library_item_content_version'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_library_item_id | ( |  | ) |

Sets the given value for 'library_item_id' property.

Parameters

  library_item_id | - New value for the field. The identifier of the library item to which content will be uploaded or removed.

Code:
click to view
# Number of lines of code in set_library_item_id: 5
sub set_library_item_id {
my ($self, %args) = @_;
$self->{'library_item_id'} = $args{'library_item_id'};
return;
}

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::set_state | ( |  | ) |

Sets the given value for 'state' property.

Parameters

  state | - New value for the field. The current state (ACTIVE, DONE, ERROR, CANCELED) of the update session.

Code:
click to view
# Number of lines of code in set_state: 5
sub set_state {
my ($self, %args) = @_;
$self->{'state'} = $args{'state'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/UpdateSessionModel.pm